<!DOCTYPE html>
<html <?php language_attributes(); ?>>

<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <?php wp_head();?>
</head>

<body <?php body_class()?>>
    <?php wp_body_open();?>
    <a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'natalie-wp' ); ?></a>


    <section class="main-header">
        <div class="container">
            <div class="row">

                <div class="col-md-4 social-media-icons header-social">
                    <ul class="list-inline small mb-0 text-dark d-none d-lg-block">
                        <?php if(!empty(get_theme_mod('set_facebook' ))) :?>
                        <li class="list-inline-item"><a class="reset-link-color" target="_blank"
                                href="<?php echo esc_url(get_theme_mod('set_facebook' ));?>"><i
                                    class="fab fa-facebook-f"></i></a></li>
                        <?php endif;?>
                        <?php if(!empty(get_theme_mod('set_twitter' ))) :?>
                        <li class="list-inline-item"><a class="reset-link-color" target="_blank"
                                href="<?php echo esc_url( get_theme_mod('set_twitter'));?>"><i
                                    class="fab fa-twitter"></i></a></li>
                        <?php endif;?>
                        <?php if(!empty(get_theme_mod('set_instagram'))) :?>
                        <li class="list-inline-item"><a class="reset-link-color" target="_blank"
                                href="<?php echo esc_url( get_theme_mod('set_instagram'));?>"><i
                                    class="fab fa-instagram"></i></a></li>
                        <?php endif;?>
                        <?php if(!empty(get_theme_mod('set_linkedin'))) :?>
                        <li class="list-inline-item"><a class="reset-link-color" target="_blank"
                                href="<?php echo esc_url (get_theme_mod('set_linkedin'));?>"><i
                                    class="fab fa-linkedin"></i></a></li>
                        <?php endif;?>
                        <?php if(!empty(get_theme_mod('set_youtube'))) :?>
                        <li class="list-inline-item"><a class="reset-link-color" target="_blank"
                                href="<?php echo esc_url(get_theme_mod('set_youtube'));?>"><i
                                    class="fab fa-youtube"></i></a></li>
                        <?php endif;?>
                    </ul>

                </div>
                <div class="col-md-4 logo">
                    <?php if ( has_custom_logo() ) : ?>
                    <div class="site-logo"><?php the_custom_logo(); ?></div>
                    <?php endif; ?>
                    <?php $blog_info = get_bloginfo( 'name' ); ?>
                    <?php if ( ! empty( $blog_info ) ) : ?>
                    <?php if ( is_front_page() && is_home() ) : ?>
                    <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"
                            rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                    <?php else : ?>
                    <p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>"
                            rel="home"><?php bloginfo( 'name' ); ?></a></p>
                    <?php endif; ?>
                    <?php endif; ?>

                    <?php
                        $description = get_bloginfo( 'description', 'display' );
                        if ( $description || is_customize_preview() ) :
                            ?>
                    <p class="site-description">
                        <?php echo esc_html($description); ?>
                    </p>
                    <?php endif; ?>

                </div>

                <div class="col-md-4 header-icons">
                    <?php  $show_search_icon = get_theme_mod('natalie_search_icon', 1);
                     if($show_search_icon == 1):?>
                    <a href="javascript:void(0)" class="fas fa-search" id="search"></a>
                    <?php endif;?>

                    <?php if( class_exists( 'WooCommerce' ) ): ?>
                            <a href="<?php echo wc_get_cart_url();?>"><i class="fa fa-shopping-bag"></i></a> 
                            <span class="items"><?php echo WC()->cart->get_cart_contents_count();?></span> &nbsp;

                            <?php if ( is_user_logged_in() ) : ?>    
                                    <a href="<?php echo esc_url( get_permalink( get_option('woocommerce_myaccount_page_id') ) ); ?>"><?php esc_html_e( 'My Account', 'natalie-wp' ) ?></a> | 
                                    <a href="<?php echo esc_url( wp_logout_url( get_permalink( get_option('woocommerce_myaccount_page_id') ) ) );?>"><?php esc_html_e( 'Logout', 'natalie-wp'); ?></a>
                            <?php else: ?>
                                    <a href="<?php echo esc_url( get_permalink( get_option('woocommerce_myaccount_page_id') ) ); ?>"><?php esc_html_e( 'Login / Register', 'natalie-wp' ) ?></a>
                            <?php endif; ?> 
                        <?php endif;?>
                </div>
            </div>
        </div>


        <nav class="navbar navbar-expand-lg navbar-light menu-bg">
            <div class="container">

                <div class="mobile-social-media-menu">
                    <ul class="list-inline small mb-0 text-dark d-block d-lg-none">
                        <?php if(!empty(get_theme_mod('set_facebook' ))) :?>
                        <li class="list-inline-item"><a class="reset-link-color" target="_blank"
                                href="<?php echo esc_url(get_theme_mod('set_facebook' ));?>"><i
                                    class="fab fa-facebook-f"></i></a></li>
                        <?php endif;?>
                        <?php if(!empty(get_theme_mod('set_twitter' ))) :?>
                        <li class="list-inline-item"><a class="reset-link-color" target="_blank"
                                href="<?php echo esc_url( get_theme_mod('set_twitter'));?>"><i
                                    class="fab fa-twitter"></i></a></li>
                        <?php endif;?>
                        <?php if(!empty(get_theme_mod('set_instagram'))) :?>
                        <li class="list-inline-item"><a class="reset-link-color" target="_blank"
                                href="<?php echo esc_url( get_theme_mod('set_instagram'));?>"><i
                                    class="fab fa-instagram"></i></a></li>
                        <?php endif;?>
                        <?php if(!empty(get_theme_mod('set_linkedin'))) :?>
                        <li class="list-inline-item"><a class="reset-link-color" target="_blank"
                                href="<?php echo esc_url (get_theme_mod('set_linkedin'));?>"><i
                                    class="fab fa-linkedin"></i></a></li>
                        <?php endif;?>
                        <?php if(!empty(get_theme_mod('set_youtube'))) :?>
                        <li class="list-inline-item"><a class="reset-link-color" target="_blank"
                                href="<?php echo esc_url(get_theme_mod('set_youtube'));?>"><i
                                    class="fab fa-youtube"></i></a></li>
                        <?php endif;?>
                    </ul>

                </div>

                <button class="navbar-toggler navbar-toggler-right" type="button" data-toggle="collapse"
                    data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                    aria-label="Toggle navigation"><span></span><span></span><span></span></button>

                <?php
                      wp_nav_menu( $args = array(
                        'theme_location'    => 'primary',
                        'depth'             => 2,
                        'container_class'   => 'collapse navbar-collapse',
                        'container_id'      => 'navbarSupportedContent',
                        'menu_class'        => 'navbar-nav mx-auto',
                        'fallback_cb'       => 'WP_Bootstrap_Navwalker::fallback',
				                'walker'    => new WP_Bootstrap_Navwalker(),
                      ) );
                ?>
            </div>
        </nav>


        <div class="search_input" id="search_input_box">
            <div class="container search-form">
            <?php $unique_id = esc_attr(uniqid());?>
                <form class="d-flex justify-content-between" method="get" action="<?php echo esc_url(home_url('/'));?>">
                    <input type="text" name="s" class="form-control" id="search_input <?php echo $unique_id; ?>" placeholder="Search Here" >
                    <!-- <input type="submit" name="Submit" class="btn" value="Submit"> -->
                    <button type="submit" class="btn">Search</button>
                    <a href="javascript:void(0)" class="far fa-times-circle search-close" id="close_search" title="Close Search"></a>

                                    <?php
                    // If WooCommerce is activated, we'll be searching among products, not posts
                    if( class_exists( 'WooCommerce' ) ):
                    ?>
                        <input type="hidden" value="product" name="post_type" id="post_type" />
                    <?php endif; ?>

                </form>

            </div>
        </div>

    </section>
