<?php
/**
 * Natalie WP Theme Customizer
 *
 * @package Natalie WP
 */



function natalie_wp_misc_customizer( $wp_customize ){

   

    $wp_customize->add_section(
        'natalie_header', array(
          'title' 		=> __( 'Natalie Misc Section', 'natalie-wp'),
          'description' 	=> __( 'Natalie WP Theme Misc Settings', 'natalie-wp' ),
          'panel'         => 'natalie_wp'
        )
      );


                $wp_customize->add_setting(
                    'natalie_search_icon', array(
                        'type' 				=> 'theme_mod',
                        'default' 			=>  1,
                        'sanitize_callback' => 'natalie_wp_sanitize_checkbox'
                    )
                );
                
                $wp_customize->add_control(
                    'natalie_search_icon', array(
                        'label' 	=> __( 'Show Search Icon', 'natalie-wp' ),
                        'section' 	=> 'natalie_header',
                        'type' 		=> 'checkbox',
                    )
                );


                            // copyright information start here for customizer
                $wp_customize->add_setting('natalie_wp_footer_copyright_text',[
                    'default'           => '2021',
                    'sanitize_callback' => 'esc_html'
                ]);

                $wp_customize->add_control(new WP_Customize_Control(
                $wp_customize,
                'news_footer_copyright_input',
                array(
                    'label'          => __( 'CopyRight Information', 'natalie-wp' ),
                    'section'        => 'natalie_header',
                    'settings'       => 'natalie_wp_footer_copyright_text',
                    'type' 			 => 'text'
                    
                )
                ));

        // Blog Share

        $wp_customize->add_section(
            'natalie_blog_social_share', array(
              'title' 		=> __( 'Natalie Blog Settings', 'natalie-wp'),
              'description' 	=> __( 'Natalie WP Theme Misc Settings', 'natalie-wp' ),
              'panel'         => 'natalie_wp'
            )
          );


          $wp_customize->add_setting(
            'natalie_wp_show_blog_share_meta', array(
                'type' 				=> 'theme_mod',
                'default' 			=>  1,
                'sanitize_callback' => 'natalie_wp_sanitize_checkbox'
            )
        );
        
        $wp_customize->add_control(
            'natalie_wp_show_blog_share_meta', array(
                'label' 	=> __( 'Activate and deactive Blog Share Meta', 'natalie-wp' ),
                'section' 	=> 'natalie_blog_social_share',
                'type' 		=> 'checkbox',
            )
        );

                $wp_customize->add_setting(
                    'natalie_wp_blog_share_f', array(
                        'type' 				=> 'theme_mod',
                        'default' 			=>  1,
                        'sanitize_callback' => 'natalie_wp_sanitize_checkbox'
                    )
                );
                
                $wp_customize->add_control(
                    'natalie_wp_blog_share_f', array(
                        'label' 	=> __( 'Show Facebook Share Icon', 'natalie-wp' ),
                        'section' 	=> 'natalie_blog_social_share',
                        'type' 		=> 'checkbox',
                    )
                );

                // Share Twitter

                $wp_customize->add_setting(
                    'natalie_wp_blog_share_t', array(
                        'type' 				=> 'theme_mod',
                        'default' 			=>  1,
                        'sanitize_callback' => 'natalie_wp_sanitize_checkbox'
                    )
                );
                
                $wp_customize->add_control(
                    'natalie_wp_blog_share_t', array(
                        'label' 	=> __( 'Show Twitter Share Icon', 'natalie-wp' ),
                        'section' 	=> 'natalie_blog_social_share',
                        'type' 		=> 'checkbox',
                    )
                );

                // Share Linked

                $wp_customize->add_setting(
                    'natalie_wp_blog_share_l', array(
                        'type' 				=> 'theme_mod',
                        'default' 			=>  1,
                        'sanitize_callback' => 'natalie_wp_sanitize_checkbox'
                    )
                );
                
                $wp_customize->add_control(
                    'natalie_wp_blog_share_l', array(
                        'label' 	=> __( 'Show LinkedIn Share Icon', 'natalie-wp' ),
                        'section' 	=> 'natalie_blog_social_share',
                        'type' 		=> 'checkbox',
                    )
                );

                 // Share Pinterest

                 $wp_customize->add_setting(
                    'natalie_wp_blog_share_p', array(
                        'type' 				=> 'theme_mod',
                        'default' 			=>  1,
                        'sanitize_callback' => 'natalie_wp_sanitize_checkbox'
                    )
                );
                
                $wp_customize->add_control(
                    'natalie_wp_blog_share_p', array(
                        'label' 	=> __( 'Show Pinterest Share Icon', 'natalie-wp' ),
                        'section' 	=> 'natalie_blog_social_share',
                        'type' 		=> 'checkbox',
                    )
                );

                 // Show Image Slider

                 $wp_customize->add_setting(
                    'natalie_blog_slider', array(
                        'type' 				=> 'theme_mod',
                        'default' 			=>  1,
                        'sanitize_callback' => 'natalie_wp_sanitize_checkbox'
                    )
                );
                
                $wp_customize->add_control(
                    'natalie_blog_slider', array(
                        'label' 	=> __( 'Activate / Deactivate Blog Slider', 'natalie-wp' ),
                        'section' 	=> 'natalie_blog_social_share',
                        'type' 		=> 'checkbox',
                    )
                );



        // Change widget heading bg colour

        $wp_customize->add_section(
            'natalie_bg_and_links', array(
              'title' 		=> __( 'Natalie Background Color Section', 'natalie-wp'),
              'description' 	=> __( 'Natalie WP Theme Misc Settings', 'natalie-wp' ),
              'panel'         => 'natalie_wp'
            )
          );

    $wp_customize->add_setting('natalie_widget_title_bg',[
        'default'   => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ]);

    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        'natalie_widget_title_bg_input',
        array(
            'label'          => __( 'Widget Title Background Color', 'natalie-wp' ),
            'section'        => 'natalie_bg_and_links',
            'settings'       => 'natalie_widget_title_bg',
        )
    ));


    $wp_customize->add_setting('natalie_nav_menu_bg',[
        'default'   => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ]);

    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        'natalie_navmenu_bg_input',
        array(
            'label'          => __( 'Nav Menu Background Color', 'natalie-wp' ),
            'section'        => 'natalie_bg_and_links',
            'settings'       => 'natalie_nav_menu_bg',
        )
    ));

    //

    $wp_customize->add_setting('natalie_btn_bg_color',[
        'default'   => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ]);

    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        'natalie_btn_bg_input',
        array(
            'label'          => __( 'Button Background Color', 'natalie-wp' ),
            'section'        => 'natalie_bg_and_links',
            'settings'       => 'natalie_btn_bg_color',
        )
    ));
  
    // 

    $wp_customize->add_setting('natalie_btn_bg_color_hover',[
        'default'   => '',
        'sanitize_callback' => 'sanitize_hex_color'
    ]);

    $wp_customize->add_control(new WP_Customize_Color_Control(
        $wp_customize,
        'natalie_btn_bg_hover_input',
        array(
            'label'          => __( 'Button Background Color Hover', 'natalie-wp' ),
            'section'        => 'natalie_bg_and_links',
            'settings'       => 'natalie_btn_bg_color_hover',
        )
    ));

   

     // Single blog banner background color

 
}


// checkbox validation

function natalie_wp_sanitize_checkbox( $checked ){
    //returns true if checkbox is checked
    return ( ( isset( $checked ) && true == $checked ) ? true : false );
}

// 

function natalie_wp_custom_sanitization_callback( $value ) {
	// This pattern will check and match 3/6/8-character hex, rgb, rgba, hsl, & hsla colors.
	$pattern = '/^(\#[\da-f]{3}|\#[\da-f]{6}|\#[\da-f]{8}|rgba\(((\d{1,2}|1\d\d|2([0-4]\d|5[0-5]))\s*,\s*){2}((\d{1,2}|1\d\d|2([0-4]\d|5[0-5]))\s*)(,\s*(0\.\d+|1))\)|hsla\(\s*((\d{1,2}|[1-2]\d{2}|3([0-5]\d|60)))\s*,\s*((\d{1,2}|100)\s*%)\s*,\s*((\d{1,2}|100)\s*%)(,\s*(0\.\d+|1))\)|rgb\(((\d{1,2}|1\d\d|2([0-4]\d|5[0-5]))\s*,\s*){2}((\d{1,2}|1\d\d|2([0-4]\d|5[0-5]))\s*)|hsl\(\s*((\d{1,2}|[1-2]\d{2}|3([0-5]\d|60)))\s*,\s*((\d{1,2}|100)\s*%)\s*,\s*((\d{1,2}|100)\s*%)\))$/';
	\preg_match( $pattern, $value, $matches );
	// Return the 1st match found.
	if ( isset( $matches[0] ) ) {
		if ( is_string( $matches[0] ) ) {
			return $matches[0];
		}
		if ( is_array( $matches[0] ) && isset( $matches[0][0] ) ) {
			return $matches[0][0];
		}
	}
	// If no match was found, return an empty string.
	return '';
}









