<?php

function natalie_wp_load_scripts(){
    // Theme js files
    wp_enqueue_script('bootstrap-js', get_template_directory_uri() . '/assets/js/bootstrap.min.js', array('jquery'), '4.6.0', true);
    wp_enqueue_script('owl-carousel', get_template_directory_uri() . '/assets/js/owl.carousel.min.js', array('jquery'), '2.11.1', true);
    wp_enqueue_script('natalie-wp-custom-js', get_template_directory_uri() . '/assets/js/scripts.js', array('jquery'), '', true);

    // Theme CSS Files

    wp_enqueue_style('bootstrap-css', get_template_directory_uri() . '/assets/css/bootstrap.min.css');
    wp_enqueue_style('natalie-wp-fonts-montserrat', 'https://fonts.googleapis.com/css2?family=Montserrat:wght@100;200;300;400;500;600;700&display=swap');
    wp_enqueue_style('natalie-wp-fonts-dancing-script', 'https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400;500;600;700&display=swap');
    wp_enqueue_style('all', get_template_directory_uri() . '/assets/css/all.min.css');
    wp_enqueue_style('owl-carousel', get_template_directory_uri() . '/assets/css/owl.carousel.min.css');
    wp_enqueue_style('natalie-wp-main', get_template_directory_uri() . '/assets/css/main.css');
    wp_enqueue_style('natalie-wp-theme-style', get_template_directory_uri() . '/style.css');

    if(has_custom_logo()){
        wp_enqueue_style('natalie-wp-custom-logo-style', get_template_directory_uri() . '/assets/css/custom-logo.css');
    }


}

function natalie_wp_admin_widget_enqueue(){

    $currentscreen = get_current_screen();
    if( $currentscreen->id == 'widgets' ){
        wp_enqueue_media();
    	wp_enqueue_script( 'natalie-wp-widget', get_template_directory_uri() . '/assets/js/widget.js', array( 'jquery'), '1.0', true );
    	 $array = array(
	        'remove'     => esc_html__('Remove','natalie-wp'),
	        'uploadimage'     => esc_html__('Author Image','natalie-wp'),
	    );
	    wp_localize_script( 'natalie-wp-widget', 'natalie_wp_widget_date', $array );
     }

}
add_action('admin_enqueue_scripts','natalie_wp_admin_widget_enqueue');


function natalie_wp_admin_enqueue_styles() {
    wp_enqueue_style( 'natalie-wp-theme-styles', get_stylesheet_uri() ); 
    $custom_css = natalie_wp_get_customizer_css();
    wp_add_inline_style( 'natalie-wp-theme-styles', $custom_css );
  }

  add_action( 'wp_enqueue_scripts', 'natalie_wp_admin_enqueue_styles' );

