<?php

/*
    @package Natalie WP
*/

      function natalie_wp_custom_excerpt_length( $length ) {
        if ( is_admin() ) {
                return $length;
              }
        return 21;
      }
      add_filter( 'excerpt_length', 'natalie_wp_custom_excerpt_length', 999 );



    function natalie_wp_remove_dots_in_excerpt( $more ) {
      if ( is_admin() ) {
              return $more;
            }
      return '';
    }
    add_filter('excerpt_more', 'natalie_wp_remove_dots_in_excerpt');


        // social share
if( !function_exists('natalie_wp_social_share_action') ):
function natalie_wp_social_share_action(){ ?>
<?php
    $natalie_wp_show_blog_share_meta = get_theme_mod('natalie_wp_show_blog_share_meta', 1);
    $natalie_wp_blog_share_f = get_theme_mod('natalie_wp_blog_share_f', 1);
    $natalie_wp_blog_share_t = get_theme_mod('natalie_wp_blog_share_t', 1);
    $natalie_wp_blog_share_l = get_theme_mod('natalie_wp_blog_share_l', 1);
    $natalie_wp_blog_share_p = get_theme_mod('natalie_wp_blog_share_p', 1);

     if($natalie_wp_show_blog_share_meta == 1):?>
<span class="share-title"><?php esc_html_e('Share', 'natalie-wp')?>:</span>
  <?php if($natalie_wp_blog_share_f == 1) :?>
  <a href="https://facebook.com/sharer/sharer.php?u=<?php the_permalink(); ?>"><i class="fab fa-facebook-f"></i></a>
  <?php endif;?>

  <?php if($natalie_wp_blog_share_t) :?>
  <a href="https://twitter.com/intent/tweet?text=<?php the_permalink(); ?>"><i class="fab fa-twitter"></i></a>
  <?php endif;?>
  <?php if($natalie_wp_blog_share_l == 1) :?>
  <a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php the_permalink() ?>"><i
          class="fab fa-linkedin"></i></a>
  <?php endif;?>

  <?php if($natalie_wp_blog_share_p == 1) :?>
          <a href="http://pinterest.com/pin/create/button/?url='+url+'&media='+image+'','_blank','width=800,height=600"  target="_blank"><i class="fab fa-pinterest-p"></i></a>
  <?php endif;?>

<?php endif;?>


<?php }
 add_action( 'natalie_wp_social_icon_action','natalie_wp_social_share_action');

endif;



// related post

if( !function_exists('natalie_wp_related_post') ):
 function natalie_wp_related_post($post){
     global $post;
    $categories             =   get_the_category();
    if(!empty($categories)) :
    $rp_query               =   new WP_Query([
        'posts_per_page'    =>  3,
        'post__not_in'      =>  [ $post->ID ],
        'cat'               =>  !empty($categories) ?  $categories[0]->term_id : null
    ]);
 ?>

<div class="related-post">
    <h4 class="related-heading"><?php esc_html_e('You Might Also Like', 'natalie-wp')?>...</h4>
</div>

<div class="row">

    <?php if( $rp_query->have_posts() ) :  while( $rp_query->have_posts() ): $rp_query->the_post();?>

    <div class="col-lg-4">
        <div class="blog-post-img">
            <a class="d-block mb-4" href="<?php the_permalink();?>">
                <?php the_post_thumbnail('default-thumbnail', array('class' => 'img-fluid w-100 img-border'));?>
            </a>
        </div>
        <div class="blog-post-content">
            <h2 class="mb-4 text-center"> <a class="d-block blog-title" href="<?php the_permalink();?>">
                    <?php the_title()?></a></h2>
        </div>
    </div>

    <?php endwhile; endif;  wp_reset_postdata();?>


</div>

<?php endif; }

add_action( 'natalie_wp_related_post_action','natalie_wp_related_post');

endif;


function natalie_wp_comment_form( $arg ) {
    // $arg contains all the comment form defaults
    // simply redefine one of the existing array keys to change the comment form
    // see http://codex.wordpress.org/Function_Reference/comment_form for a list
    // of array keys

    // add Foundation classes to the button class
    $arg['class_submit'] = 'btn btn-primary';

    // return the modified array
    return $arg;
}

// run the comment form defaults through the newly defined filter
add_filter( 'comment_form_defaults', 'natalie_wp_comment_form' );


function natalie_wp_get_customizer_css() {
    ob_start();
    //
    $natalie_widget_title_bg = get_theme_mod( 'natalie_widget_title_bg', '' );
    if ( ! empty( $natalie_widget_title_bg ) ) {
      ?>
        .widget-title {
           background-color: <?php echo esc_html($natalie_widget_title_bg); ?> !important;
        }
     <?php }


    //
    $natalie_nav_menu_bg = get_theme_mod( 'natalie_nav_menu_bg', '' );
    if ( ! empty( $natalie_nav_menu_bg ) ) {
      ?>
    .menu-bg {
      background-color: <?php echo esc_html($natalie_nav_menu_bg); ?> !important;
    }
    <?php }

    //

$natalie_btn_bg_color = get_theme_mod( 'natalie_btn_bg_color', '' );
if ( ! empty( $natalie_btn_bg_color ) ) {
    ?>
.btn-primary, .widget-newsletter input[type=submit], .pagination a {
background-color: <?php echo esc_html($natalie_btn_bg_color); ?> !important;
border-color: <?php echo esc_html($natalie_btn_bg_color); ?> !important;
}

<?php
        }
    //

    $natalie_btn_bg_color_hover = get_theme_mod( 'natalie_btn_bg_color_hover', '' );
    if ( ! empty( $natalie_btn_bg_color_hover ) ) {
      ?>
    .btn-primary:hover {
    background-color: <?php echo esc_html($natalie_btn_bg_color_hover); ?> !important;
}
<?php }

        $css = ob_get_clean();
        return $css;
  }




//   INSTAGRAM
if( !function_exists('natalie_wp_instagram') ):

	function natalie_wp_instagram(){

		$ed_instagram_section = get_theme_mod('ed_instagram_section');
		$instagram_shortcode = get_theme_mod('instagram_shortcode');

		if( $ed_instagram_section && $instagram_shortcode ){ ?>

<div class="instagram-holder">
    <?php echo do_shortcode( $instagram_shortcode ); ?>
</div>

<?php }

	}

endif;

add_action('natalie_wp_footer_content','natalie_wp_instagram',30);

if(!function_exists('natalie_wp_home_blog_slider')) :

  function natalie_wp_home_blog_slider(){ ?>

<?php $natalie_blog_slider = get_theme_mod('natalie_blog_slider', 1);
if($natalie_blog_slider == 1):?>

  <section class="blog-slider">
              <div class="slide-one-item home-slider owl-carousel">
                      <?php $gallery_query = new WP_Query(
                          array( 'post_type'        => 'post',
                                  'posts_per_page'   => 10,
                                  'order'            => 'DESC',
                                  'post_status'      => 'publish'
                                  ));
                      if($gallery_query->have_posts()) : while($gallery_query->have_posts()) : $gallery_query->the_post();?>
                                  <?php $gallery_image =  wp_get_attachment_image_src(get_post_thumbnail_id(), 'full');
                                      $gallery_image =  isset($gallery_image[0]) ? $gallery_image[0] : '';
                                  ?>
                              <div class="site-cover site-cover-sm same-height overlay" <?php if($gallery_image) :?> style="background-image: url(<?php echo esc_url($gallery_image);?>)" <?php endif;?> >
                                  <div class="container">
                                      <div class="row same-height align-items-center">
                                          <div class="col-md-12">
                                              <div class="post-entry text-center">
                                                  <h2 class="mb-4"><a href="<?php the_permalink();?>"><?php the_title();?></a></h2>
                                                  <div class="slider-post-content-excerpt mb-4">
                                                  <?php the_excerpt();?>
                                                  </div>
                                                  <div class="post-meta align-items-center text-center">
                                                  <?php the_category(', ');?>
                                                  <span class="d-inline-block mt-1 slider-post-author"><a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID')));?>"><?php the_author()?></a></span>
                                                      <span class="d-inline-block mt-1 slider-posted-date"> <?php echo esc_html( get_the_date() ); ?></span>
                                                  </div>
                                              </div>
                                          </div>
                                      </div>
                                  </div>
                              </div>
                          <?php endwhile; endif; wp_reset_postdata();?>
              </div>
  </section>

  <?php endif; }

add_action( 'natalie_wp_show_blog_slider','natalie_wp_home_blog_slider');

endif;



 /* Recent Post Extention */
/**
 * Extend Recent Posts Widget
 *
 * Adds different formatting to the default WordPress Recent Posts Widget
 */

Class Natalie_WP_Recent_Posts_Widget extends WP_Widget_Recent_Posts {

  function widget($args, $instance) {

          if ( ! isset( $args['widget_id'] ) ) {
          $args['widget_id'] = $this->id;
      }

      $title = ( ! empty( $instance['title'] ) ) ? $instance['title'] : __( 'Recent Posts', 'natalie-wp' );

      /** This filter is documented in wp-includes/widgets/class-wp-widget-pages.php */
      $title = apply_filters( 'widget_title', $title, $instance, $this->id_base );

      $number = ( ! empty( $instance['number'] ) ) ? absint( $instance['number'] ) : 5;
      if ( ! $number )
          $number = 5;
      $show_date = isset( $instance['show_date'] ) ? $instance['show_date'] : false;

      /**
       * Filter the arguments for the Recent Posts widget.
       *
       * @since 3.4.0
       *
       * @see WP_Query::get_posts()
       *
       * @param array $args An array of arguments used to retrieve the recent posts.
       */
      $r = new WP_Query( apply_filters( 'widget_posts_args', array(
          'posts_per_page'      => $number,
          'no_found_rows'       => true,
          'post_status'         => 'publish',
          'ignore_sticky_posts' => true
      ) ) );

      if ($r->have_posts()) :
      ?>
<?php echo $args['before_widget']; ?>
<?php if ( $title ) {
          echo $args['before_title'] . $title . $args['after_title'];
      } ?>
<div class="recent-post-slider">
  <?php global $post; while ( $r->have_posts() ) : $r->the_post();
            $recent_post_image = get_the_post_thumbnail_url(get_the_ID(), 'widget-recent-post');
    ?>

  <div class="mb-4 d-flex">
      <?php if(!empty($recent_post_image)) : ?>

      <img src="<?php echo $recent_post_image; ?>" class="r-post-img mr-4">

      <?php else:?>

      <img src="<?php echo esc_url(get_template_directory_uri())?>/assets/img/thumbnail.jpg" class="r-post-img mr-4">


      <?php endif?>

      <div class="text">
          <h3 class="heading"><a
                  href="<?php the_permalink(); ?>"><?php get_the_title() ? the_title() : the_ID(); ?></a></h3>
          <?php if ( $show_date ) : ?>
          <div class="meta">
              <div class="calender"><span class="far fa-calendar"></span> <?php echo esc_html(get_the_date()); ?>
              </div>
              <div class="author-post"><span class="far fa-user"></span> <?php echo esc_html( get_the_author());?>
              </div>
              <div class="comments"><span class="far fa-comment"></span>
                  <?php echo esc_html( get_comments_number($post->ID));?></div>
          </div>
          <?php endif; ?>
      </div>
  </div>


  <?php endwhile;  ?>

</div>



<?php echo $args['after_widget']; ?>
<?php
      // Reset the global $the_post as this query will have stomped on it
      wp_reset_postdata();
      endif;
  }
}
function natalie_wp_recent_widget_registration() {
unregister_widget('WP_Widget_Recent_Posts');
register_widget('Natalie_WP_Recent_Posts_Widget');
}
add_action('widgets_init', 'natalie_wp_recent_widget_registration');



function natalie_wp_body_class($classes){
  if(is_user_logged_in()){
      $classes[] = 'body-logged-in';
  }
  return $classes;
}
add_filter('body_class', 'natalie_wp_body_class');
