<?php

function natalie_wp_theme_setup(){
   add_theme_support('post-thumbnails');
   add_theme_support('title-tag');
   add_theme_support('custom-logo');
   add_theme_support( 'automatic-feed-links' );
   add_theme_support('html5', array( 'comment-list', 'comment-form', 'search-form', 'gallery', 'caption' ) );
   add_theme_support('wc-product-gallery-zoom');
   add_theme_support('wc-product-gallery-lightbox');
   add_theme_support('wc-product-gallery-slider');

    // This theme is WooCommerce compatible, so we're adding support to WooCommerce
	add_theme_support( 'woocommerce', array(
		'thumbnail_image_width' => 255,
		'single_image_width'	=> 255,
		'product_grid' 			=> array(
			'default_rows'    => 10,
			'min_rows'        => 5,
			'max_rows'        => 10,
			'default_columns' => 3,
			'min_columns'     => 3,
			'max_columns'     => 3,				
		)
	) );

   add_image_size( 'natalie-wp-default-thumbnail', '350', '350', array('center', 'center'));
   add_image_size( 'natalie-wp-single-blog', '800', '400', array('center', 'center'));

   register_nav_menu( 'primary', __('Primary Menu', 'natalie-wp' ));

   if ( ! isset( $content_width ) ) {
    $content_width = 900;
}

if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
    wp_enqueue_script( 'comment-reply' );
}

    $text_domain = 'natalie-wp';
        load_theme_textdomain( $text_domain, get_stylesheet_directory() . '/languages' );
        load_theme_textdomain( $text_domain, get_template_directory() . '/languages' );


}