<?php get_header();?>


<?php if(have_posts()) : while(have_posts( )) : the_post();?>
<section class="blog-banner">
    <div class="blog-banner-area">
        <?php if(has_post_thumbnail()):?>
        <div class="banner-height-250 blog-banner-overly d-flex align-items-center">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="blog-banner-title text-center">
                            <h1><?php the_title();?> </h1>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php else:?>
        <div class="blog-banner-height blog-banner-overly d-flex align-items-center">
            <div class="container">
                <div class="row">
                    <div class="col-xl-12">
                        <div class="blog-banner-title text-center">
                            <h1><?php the_title();?> </h1>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <?php endif;?>
    </div>

</section>


<section class="blog-section mt-5" id="content">
    <div class="container">
        <di class="row">
            <div <?php post_class('col-lg-8 mb-5 mb-lg-0 blog'); ?> id="post-<?php the_ID(); ?>">
                <div class="row">
                    <div class="blog-post-content sidebar-bg p-4">
                        <div class="blog-post-meta single-post">
                        <?php if(has_post_thumbnail()):?>
                        <div class="post-image">
                             <?php the_post_thumbnail('natalie-wp-single-blog', array('class' => 'img-fluid mb-2'));?>
                        </div>
                        <?php endif;?>
                                <div class="blog-meta-details">
                                            <span><i class="fas fa-user"></i> <a
                                                    href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID')));?>"><?php the_author();?></a></span>
                                            |
                                            <span> <i class="fas fa-calendar"></i> <?php esc_html_e('Posted on', 'natalie-wp')?>
                                                <?php echo esc_html( get_the_date() ); ?></span> |
                                            <i class="fas fa-th-list"></i> <?php the_category( ', ' ); ?>&nbsp;
                                            <i class="fas fa-comment-alt"></i><a href="<?php echo esc_url(get_comments_link());?>">
                                                <?php comments_number('0'); ?></a>
                                </div>
                        </div>

                        <div class="post-share negative-bottom-margin-1">
                            <div class="clearfix"></div>
                        <?php do_action('natalie_wp_social_icon_action');?>
                        </div>
                        <div class="clearfix"></div>
                        <div class="blog-post-divider-top"></div>
                        <div class="blog-post-divider-bottom mb-4"></div>
                        <?php the_content();?>

                        <?php
            wp_link_pages(
                array(
                'before'    => '<p class="inner-pagination">' . esc_html__( 'Pages:', 'natalie-wp' ),
                'after'     => '</p>',
                )
            );
        ?>

                        <div class="blog-post-divider-top"></div>
                        <?php if(has_tag()):?>
                        <i class="fas fa-tag"></i> <?php the_tags( '', ', ', '<br />' ); ?>
                        <?php endif;?>
                        <div class="blog-post-divider-bottom mb-4"></div>

                        <div class="blog-author">
                            <div class="author-media align-items-center">

                                <?php echo get_avatar( $post->post_author, 90, '', false, [  ] ); ?>
                                <div class="author-body">
                                    <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID')));?>">
                                        <h4><?php the_author();?></h4>
                                    </a>
                                    <p><?php the_author_meta('description');?></p>
                                </div>
                            </div>
                        </div>
                        <hr />
                        <div class="col-12">
                            <div class="pagination single">
                                <div class="older"><?php previous_post_link('%link', 'Previous Post'); ?></div>
                                <div class="newer"> <?php next_post_link('%link', 'Next Post'); ?></div>
                            </div>
                        </div>

                        <div class="clearfix"></div>

                        <hr />
                        <?php do_action('natalie_wp_related_post_action');?>
                        <hr />
                        <div class="clearfix"></div>
                        <div class="post-comment">
                            <!-- Post comments-->
                            <?php if(comments_open() || get_comments_number()){
                                        comments_template();
                            }?>
                        </div>
                    </div>

                </div>
            </div>
            <?php get_sidebar();?>
    </div>
    </div>
</section>
<?php endwhile; endif;?>

<?php get_footer();?>
